CVE-2022-31683

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2022-31683
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2022-31683.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2022-31683
Aliases
Published
2022-12-19T16:15:11Z
Modified
2024-06-06T14:01:09.241126Z
Severity
  • 5.4 (Medium) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:L/A:N CVSS Calculator
Summary
[none]
Details

Concourse (7.x.y prior to 7.8.3 and 6.x.y prior to 6.7.9) contains an authorization bypass issue. A Concourse user can send a request with body including :team_name=team2 to bypass team scope check to gain access to certain resources belong to any other team.

References

Affected packages

Git / github.com/concourse/concourse

Affected ranges

Type
GIT
Repo
https://github.com/concourse/concourse
Events

Affected versions

v6.*

v6.0.0
v6.1.0
v6.2.0
v6.3.0
v6.4.0
v6.5.0
v6.5.1
v6.6.0
v6.7.0
v6.7.1
v6.7.2
v6.7.3
v6.7.4
v6.7.5
v6.7.6
v6.7.7
v6.7.8